# ERPNext - web based ERP (http://erpnext.com)
# Copyright (C) 2012 Web Notes Technologies Pvt Ltd
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

class DocType:
	def __init__(self, d, dl):
		self.doc, self.doclist = d, dl
		
	def validate(self):
		"""make custom css"""
		from jinja2 import Template
		
		with open('erpnext/website/doctype/style_settings/custom_template.css', 'r') as f:
			temp = Template(f.read())
		
		if not self.doc.font_size:
			self.doc.font_size = '13px'
			
		self.doc.small_font_size = str(int(self.doc.font_size[:-2])-2) + 'px'
		
		self.doc.custom_css = temp.render(doc = self.doc)
		if self.doc.add_css:
			self.doc.custom_css += '\n\n/* User CSS */\n\n' + self.doc.add_css

		from webnotes.cms.make import make_web_core
		make_web_core()
		
		from webnotes.session_cache import clear_cache
		clear_cache('Guest')
		
		del self.doc.fields['small_font_size']
		
		